org.apache.pdfbox.pdmodel.interactive.annotation.handlers

## Interface PDAppearanceHandler

All Known Implementing Classes:
  PDAbstractAppearanceHandler, PDCaretAppearanceHandler, PDCircleAppearanceHandler, PDFileAttachmentAppearanceHandler, PDFreeTextAppearanceHandler, PDHighlightAppearanceHandler, PDInkAppearanceHandler, PDLineAppearanceHandler, PDLinkAppearanceHandler, PDPolygonAppearanceHandler, PDPolylineAppearanceHandler, PDSoundAppearanceHandler, PDSquareAppearanceHandler, PDSquigglyAppearanceHandler, PDStrikeoutAppearanceHandler, PDTextAppearanceHandler, PDUnderlineAppearanceHandler

    public interface PDAppearanceHandler

### Method Summary

All Methods Instance Methods Abstract Methods Default Methods
`default void` `generateAppearanceStreams()`
`void` `generateDownAppearance()`
`void` `generateNormalAppearance()`
`void` `generateRolloverAppearance()`

### Method Detail

#### generateAppearanceStreams

    default void generateAppearanceStreams()

#### generateNormalAppearance

    void generateNormalAppearance()

#### generateRolloverAppearance

    void generateRolloverAppearance()

#### generateDownAppearance

    void generateDownAppearance()